atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Atk.Object Atk.Action Atk.Component Atk.Document Atk.EditableText Atk.Hypertext Atk.Image Atk.Selection Atk.Table Atk.Text Atk.Value An which purports to implement all Atk interfaces. It is the type of which is created if an accessible object is requested for an object type for which no factory type is specified.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  an object of type
  Creates a new instance.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.UInt32 `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Double To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  Atk.Attribute[] To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("bounds_changed")
  Atk.BoundsChangedHandler To be added To be added
- Property
  2.12.0.0
  Atk.Object To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("column_deleted")
  Atk.ColumnDeletedHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("column_inserted")
  Atk.ColumnInsertedHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("column_reordered")
  System.EventHandler To be added To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Property
  GLib.Value To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Property
  2.12.0.0
  Atk.Attribute[] To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Method
  2.12.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Atk.TextRange `` `` `` `` a a a a To be added a To be added
- Method
  2.12.0.0
  System.Char `` position Gets the specified text. the character at .
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` a a a a a a To be added To be added
- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Method
  2.12.0.0
  System.String `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Int32 `` `` an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.Object `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.String `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` `` `` `` a a a a a To be added To be added
- Method
  2.12.0.0
  System.Void `` `` `` a a a To be added To be added
- Method
  2.12.0.0
  System.Void `` `` a a To be added To be added
- Method
  2.12.0.0
  System.Int32 `` `` an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.String `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.Hyperlink `` a To be added a To be added
- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Method
  2.12.0.0
  System.String `` a To be added a To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.String `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Int32 `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` `` a a a To be added To be added
- Method
  2.12.0.0
  Atk.TextRectangle `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added a a a a To be added
- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Method
  2.12.0.0
  System.String `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Int32 `` `` an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.Object `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.Attribute[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.SList `` `` `` To be added a a a a To be added
- Method
  System.Int32 `` To be added a a To be added
- Method
  System.Int32 `` To be added a a To be added
- Method
  2.12.0.0
  System.String `` `` `` a a a To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` a a To be added To be added
- Method
  2.12.0.0
  System.String `` `` an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.String `` `` `` `` a a a a To be added a To be added
- Method
  2.12.0.0
  System.String `` `` `` `` a a a a To be added a To be added
- Method
  2.12.0.0
  System.String `` `` `` `` a a a a To be added a To be added
- Method
  2.12.0.0
  System.Boolean To be added an object of type To be added
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.String To be added an object of type To be added
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Property
  2.12.0.0
  Atk.Layer To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("link_selected")
  Atk.LinkSelectedHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("load_complete")
  System.EventHandler To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("load_stopped")
  System.EventHandler To be added. To be added.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("model_changed")
  System.EventHandler To be added To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added a To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBoundsChanged", Type=typeof(Atk.NoOpObject))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColumnDeleted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColumnInserted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColumnReordered", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLinkSelected", Type=typeof(Atk.NoOpObject))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLoadComplete", Type=typeof(Atk.NoOpObject))
  System.Void To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLoadStopped", Type=typeof(Atk.NoOpObject))
  System.Void To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideModelChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideReload", Type=typeof(Atk.NoOpObject))
  System.Void To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowDeleted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowInserted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowReordered", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextAttributesChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextCaretMoved", Type=typeof(Atk.NoOpObject))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextChanged", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextSelectionChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void `` an object of type To be added To be added
- Method
  2.12.0.0
  Atk.Object `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.Object `` `` an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.Object `` an object of type To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("reload")
  System.EventHandler To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` an object of type To be added To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("row_deleted")
  Atk.RowDeletedHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("row_inserted")
  Atk.RowInsertedHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("row_reordered")
  System.EventHandler To be added To be added
- Method
  2.12.0.0
  System.Boolean To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32[] To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Int32[] To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("selection_changed")
  System.EventHandler To be added To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  2.12.0.0
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Property
  2.12.0.0
  Atk.Object To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("text_attributes_changed")
  System.EventHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("text_caret_moved")
  Atk.TextCaretMovedHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("text_changed")
  Atk.TextChangedHandler To be added To be added
- Property
  2.12.0.0
  System.String To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("text_selection_changed")
  System.EventHandler To be added To be added
- Property
  2.12.0.0
  System.IntPtr To be added. To be added. To be added.